Blender 2.79 - Cycles Compute Device doesn't detect my AMD GPU
Closed, ArchivedPublic

Description

System Information
Windows 10 Pro version 1703 with AMD Radeon HD 7970 driver 17.9.1

Blender Version
Broken: 2.79.1 6f633de as well as the stable release version 2.79 5bd8ac9
Worked: 2.78c stable release

Short description of error
Blender 2.79 won't let me select my AMD GPU for rendering with Cycles.

Exact steps for others to reproduce the error
I simply downloaded the new stable version today and installed it over 2.78c and copied the settings from the previous version on the splash screen. Noticed that GPU Compute was greyed out so I checked the User Preferences > System > Cycles Compute Device setting and it was simply "None". Tried restoring factory settings, reinstalling Blender, deleting all Blender settings from AppData, installing latest test build and upgrading my AMD drivers but it's all the same.

I downloaded the 2.78c stable version and GPU rendering works fine like always.

Details

Type
Bug
Alexander Chaplinskikh (AlexChaplinskikh) renamed this task from Blender 2.79 - Cycles Compute Device doesn't doesn't detect my AMD GPU to Blender 2.79 - Cycles Compute Device doesn't detect my AMD GPU.
LazyDodo (LazyDodo) closed this task as Archived.Sep 14 2017, 2:47 PM
LazyDodo (LazyDodo) claimed this task.

As mentioned in the release notes, we only support graphics cards with GCN architecture 2.0 and above).

Wonderful. Any way to whitelist it and build it myself from the source? I don't know Python but I could try. I was excited for this release but this just screwed me up completely.

Wonderful. Any way to whitelist it and build it myself from the source? I don't know Python but I could try. I was excited for this release but this just screwed me up completely.

You can try this workaround https://blenderartists.org/forum/showthread.php?435859-Blender-2-79-RC1-is-out&p=3227661&viewfull=1#post3227661 to see if the card will work at all.
All the warnings apply.

Thank you very much, Vuk. Just tried it and it works. This should get me by while I save up for a new GPU. The main thing I need is the viewport render preview which I use a lot and the CPU is just not fast enough.

I know the risks involved, but it's still worth it. The support was dropped in this version so there shouldn't be too many things that break yet. This GPU already gave me problems before so it's not new to me if it breaks occasionally.

Thanks again.